`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date:    23:36:54 08/31/2009 
// Design Name: 
// Module Name:    StateMachineWorldTOP 
// Project Name: 
// Target Devices: 
// Tool versions: 
// Description: 
//
// Dependencies: 
//
// Revision: 
// Revision 0.01 - File Created
// Additional Comments: 
//
//////////////////////////////////////////////////////////////////////////////////
module StateMachineWorldTOP(
    input BTN1,
    input BTN2,
    input BTN3,
    input RESET,
    input CLK,
    output [7:0] HEX_OUT,
    output [3:0] SEG_SELECT
    );

wire [2:0] STATE_OUT;

StateMachineWorld StateMachine(
    .BTN1(BTN1),
    .BTN2(BTN2),
    .BTN3(BTN3),
    .CLK(CLK),
    .RESET(RESET),
    .STATE_OUT(STATE_OUT)
);
	 
SevenSegment Seg7(
    .SEG_SELECT_IN(2'b00),
    .SEG_SELECT_OUT(SEG_SELECT),
    .BIN_IN({1'b0,STATE_OUT}),
    .HEX_OUT(HEX_OUT),
    .DOT_IN(1'b0)
);

endmodule
